Skip to main content
PATCH
/
api
/
v1
/
evaluation-templates
/
{id}
Update evaluation template
curl --request PATCH \
  --url https://www.intervyo.ai/api/v1/evaluation-templates/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "template_name": "<string>",
  "skills": [
    "<string>"
  ],
  "soft_skills": [
    "<string>"
  ],
  "objective": "<string>",
  "requirements": "<string>",
  "default_duration_minutes": 123
}
'
{
  "error": "<string>",
  "issues": [
    {}
  ]
}

Authorizations

x-api-key
string
header
required

API key with the iv_live_ prefix. Create one under Developer → API Keys.

Path Parameters

id
string<uuid>
required

id identifier

Body

application/json
template_name
string

Display name

status
enum<string>

Lifecycle status

Available options:
draft,
active,
archived
skills
string[]

Technical skills (replaces list)

soft_skills
string[]

Soft skills (replaces list)

objective
string

Evaluation goal

requirements
string

Pass bar

default_duration_minutes
integer

Session length

default_difficulty
enum<string>

Question depth

Available options:
beginner,
intermediate,
advanced,
expert,
adaptive

Response

Success

Last modified on June 3, 2026